/*
 * Copyright 2003 - 2012 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 7505 $
 * Last Changed:    $Date: 2012-05-11 13:14:52 -0500 (Fri, 11 May 2012) $
 * Last Changed By: $Author: jan@moxter.net $
 */

package org.efaps.ui.wicket.components.menutree;

import javax.swing.tree.DefaultMutableTreeNode;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.efaps.ui.wicket.models.objects.UIMenuItem;

/**
 * @author The eFaps Team
 * @version $Id: AjaxMenuTreeLink.java 7505 2012-05-11 18:14:52Z jan@moxter.net $
 */
public class AjaxMenuTreeLink
    extends AbstractAjaxLink
{

    /**
     * Needed for serialization.
     */
    private static final long serialVersionUID = 1L;

        /**
     * @param _wicketId Wicket ID for the Component
     * @param _node     node the component belongs to
     */
    public AjaxMenuTreeLink(final String _wicketId,
                            final DefaultMutableTreeNode _node)
    {
        super(_wicketId, _node);
    }

    @Override
    public void onClick(final AjaxRequestTarget _target)
    {
        final UIMenuItem model = (UIMenuItem) getNode().getUserObject();
        final MenuTree menutree = this.findParent(MenuTree.class);

        menutree.changeContent(model, _target);

        menutree.getTreeState().selectNode(getNode(), true);
        menutree.updateTree(_target);
    }
}
