/*
 * Copyright 2003 - 2012 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 7505 $
 * Last Changed:    $Date: 2012-05-11 13:14:52 -0500 (Fri, 11 May 2012) $
 * Last Changed By: $Author: jan@moxter.net $
 */

package org.efaps.ui.wicket.pages.classification;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.model.IModel;
import org.efaps.ui.wicket.components.classification.ClassificationPathPanel;
import org.efaps.ui.wicket.components.classification.ClassificationTree;
import org.efaps.ui.wicket.models.objects.UIClassification;
import org.efaps.util.EFapsException;

/**
 * TODO comment!
 *
 * @author The eFaps Team
 * @version $Id: ClassificationPage.java 7505 2012-05-11 18:14:52Z jan@moxter.net $
 */
public class ClassificationPage
    extends WebPage
{

    /**
     * @param _model model for this page
     * @param _panel    classification panel used for the tree
     * @throws EFapsException on error
     */
    public ClassificationPage(final IModel<UIClassification> _model,
                              final ClassificationPathPanel _panel)
        throws EFapsException
    {
        super(_model);
        final ClassificationTree tree = new ClassificationTree("tree", _model, _panel);
        this.add(tree);
    }

}
